%global __brp_check_rpaths %{nil}
%global packname  scquantum
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Estimate Ploidy and Absolute Copy Number from Single Cell Sequencing

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core

%description
Given bincount data from single-cell copy number profiling (segmented or
unsegmented), estimates ploidy, and uses the ploidy estimate to scale the
data to absolute copy numbers. Uses the modular quantogram proposed by
Kendall (1986) <doi:10.1002/0471667196.ess2129.pub2>, modified by
weighting segments according to confidence, and quantifying confidence in
the estimate using a theoretical quantogram. Includes optional fused-lasso
segmentation with the algorithm in Johnson (2013)
<doi:10.1080/10618600.2012.681238>, using the implementation from glmgen
by Arnold, Sadhanala, and Tibshirani.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
